Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script.rhino.svg12
Class GlobalWrapper

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.mozilla.javascript.IdScriptableObject
              org.mozilla.javascript.ImporterTopLevel
                  org.apache.batik.script.rhino.WindowWrapper
                      org.apache.batik.script.rhino.svg12.GlobalWrapper

All Implemented Interfaces:
  Serializable, DebuggableObject, IdFunctionCall, Scriptable

    public class GlobalWrapper

extends WindowWrapper

Wrapper class for the SVGGlobal object.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.script.rhino.WindowWrapper
`WindowWrapper.FunctionWrapper, WindowWrapper.GetURLFunctionWrapper`

Field Summary

Fields inherited from class org.apache.batik.script.rhino.WindowWrapper
`interpreter, window`

Fields inherited from class org.mozilla.javascript.ScriptableObject
`DONTENUM, EMPTY, PERMANENT, READONLY`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`GlobalWrapper(Context context)` Creates a new GlobalWrapper.

Method Summary
`String` | `getClassName()`
`static void` | `startMouseCapture(Context cx, Scriptable thisObj, Object[] args, Function funObj)` Wraps the 'startMouseCapture' method of the SVGGlobal interface.
`static void` | `stopMouseCapture(Context cx, Scriptable thisObj, Object[] args, Function funObj)` Wraps the 'stopMouseCapture' method of the SVGGlobal interface.
`String` | `toString()`

Methods inherited from class org.apache.batik.script.rhino.WindowWrapper
`alert, clearInterval, clearTimeout, confirm, getURL, parseXML, postURL, prompt, setInterval, setTimeout`

Methods inherited from class org.mozilla.javascript.ImporterTopLevel
`execIdCall, findPrototypeId, get, has, importPackage, init, initPrototypeId, initStandardObjects`

Methods inherited from class org.mozilla.javascript.IdScriptableObject
`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, delete, exportAsJSClass, fillConstructorProperties, findInstanceIdInfo, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes, setInstanceIdValue`

Methods inherited from class org.mozilla.javascript.ScriptableObject
`associateValue, callMethod, callMethod, defineClass, defineClass, defineClass, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, equivalentValues, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, hasInstance, hasProperty, hasProperty, isSealed, put, putProperty, putProperty, sealObject, setAttributes, setAttributes, setAttributes, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlobalWrapper

    public GlobalWrapper(Context context)

  Creates a new GlobalWrapper.

Method Detail

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `Scriptable`
  Overrides:
    `getClassName` in class `WindowWrapper`

### toString

    public String toString()

  Overrides:
    `toString` in class `WindowWrapper`

### startMouseCapture

    public static void startMouseCapture(Context cx,
                                         Scriptable thisObj,
                                         Object[] args,
                                         Function funObj)

  Wraps the 'startMouseCapture' method of the SVGGlobal interface.

### stopMouseCapture

    public static void stopMouseCapture(Context cx,
                                        Scriptable thisObj,
                                        Object[] args,
                                        Function funObj)

  Wraps the 'stopMouseCapture' method of the SVGGlobal interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.